/* FlexText installation REXX script */
SAY " "
SAY "      * * * FlexText version 2.2 * * *"
SAY " "
SAY "This procedure installs FlexText on your hard disk "
SAY "and OS/2 desktop."
SAY " "
SAY 'Hit "ENTER" to continue (or "C" to cancel)...'
PULL hitcancel

IF hitcancel = c
THEN
   EXIT

DO UNTIL mdok = Y
    CALL makedir
END


COPY "*.*" SUBDIR

IF rc=0
THEN NOP
ELSE
  DO
  SAY "Fatal error copying program to Target!"
  EXIT
  END

SAY "Creating desktop object..."

Call RxFuncAdd "SysLoadFuncs", "RexxUtil", "SysLoadFuncs"
Call SysLoadFuncs;
RetCode = SysCreateObject( "WPProgram", "FlexText", "<WP_DESKTOP>", "EXENAME="subdir"\flxts.exe;STARTUPDIR="subdir)

SAY " "
SAY "Installation complete!  The FlexText object can now be "
SAY "found on your desktop."
SAY " "
SAY 'Hit "ENTER" to continue...'
PULL nothing
EXIT

makedir:
SAY " "
SAY " "
SAY "Enter the drive and subdirectory to install FlexText"
SAY " or hit enter for C:\FLXT."
PULL subdir

IF subdir=" "
THEN subdir = "C:\FLXT"
ELSE NOP
MD subdir

SELECT
   WHEN rc=0
    THEN mdok=Y
   WHEN rc = 1
    THEN DO
         SAY " "
         SAY "Directory already exists. Should we use it? (Y/N)"
         PULL mdok
         END
   WHEN rc > 1
    THEN DO
         SAY "Fatal error trying to make directory!"
         EXIT
         END
END

RETURN
